MP4(3)

NAME

MP4AddAudioTrack - Add an audio track

SYNTAX

#include <mp4.h>

MP4TrackId MP4AddAudioTrack(
    MP4FileHandle hFile,
    u_int32_t timeScale,
    u_int32_t sampleDuration,
    u_int8_t audioType = MP4_MPEG4_AUDIO_TYPE
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

timeScale
    Specifies the time scale in ticks per second of the track.

sampleDuration
    Specifies a fixed sample duration for all track samples. Caveat: The value should be in track time scale units

audioType
    Specifies the audio encoding type. See MP4GetTrackAudioType() for known values.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4AddAudioTrack adds an audio track to the mp4 file. MP4WriteSample() can then be used to add the desired audio samples.

It is recommended that the time scale be set to the sampling frequency (e.g. 44100 Hz) of the audio so as to preserve the timing information accurately.

If the audio encoding uses a fixed duration for each sample that should be specified here. If not then the value MP4_INVALID_SAMPLE_DURATION should be given for the sampleDuration argument.

SEE ALSO

MP4(3)